
Redmine - Defect #14584

Standard fields disabled for certain trackers still appear in email notifications

2013-07-31 12:45 - Dmitry Beloglazov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 2.3.3   

Resolution: Fixed Affected version: 2.3.2

Description

Hello,

I've created a custom tracker and disabled the "Target version" for it. However, the email notifications show it along with other fields.

The expected behavior: the disabled fields don't appear in email notifications.

Environment:

Redmine version                2.3.2.stable.12032

Ruby version                   1.8.7-p174 (2009-06-12) [i686-linux]

Rails version                  3.2.13

Environment                    production

Database adapter               Mysql2

Related issues:

Follows Redmine - Feature #1091: Disabling default ticket fields per tracker Closed 2008-04-23

Associated revisions

Revision 12079 - 2013-08-05 19:08 - Jean-Philippe Lang

Fixed that standard fields disabled still appear in email notifications (#14584).

Revision 12123 - 2013-09-10 18:43 - Jean-Philippe Lang

Merged r12079 from trunk (#14584).

Revision 12124 - 2013-09-10 18:52 - Jean-Philippe Lang

Reverts r12123 (#14584).

Revision 12125 - 2013-09-10 19:08 - Jean-Philippe Lang

Backported r12079 from trunk (#14584).

History

#1 - 2013-08-01 00:18 - Mischa The Evil

- Subject changed from "Target version" appears in email notification although it's disabled for the current tracker to Standard fields disabled for certain

trackers still appear in email notifications

#2 - 2013-08-01 00:19 - Mischa The Evil

- Follows Feature #1091: Disabling default ticket fields per tracker added

#3 - 2013-08-01 00:19 - Mischa The Evil

- Due date deleted (2008-04-24)

- Start date deleted (2008-04-24)

#4 - 2013-08-05 19:08 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.3
- Resolution set to Fixed

Fixed in r12079, thanks for pointing this out.

#5 - 2013-08-09 01:35 - Mischa The Evil

Jean-Philippe Lang wrote:

Fixed in r12079

 This also removes some view duplication. Neat! Thanks...

#6 - 2013-08-09 07:20 - Dmitry Beloglazov

Thanks for fixing this! I'm glad I could help with this.

#7 - 2013-09-10 18:44 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 2.3-stable.
